# markdone

Simple extended syntax/conventions and tools to use Markdown making note taking and tasks easier

Uses standard markdown with a few minor features:

* Notes each will have their own file
* Notes can be tagged using a bang: `!mytag`
* Tags can be anywhere in the file
* Tasks can be written using empty brackets: `[ ]`
* They can be prefixed with `*`, if desired. This will allow for sub tasks to be organized
* Task can be tagged as well: `[ ] Task !tag`
* Checklist items should not show when listing tasks
* Similar to a task, a checklist can be prefixed with a `-` as so: `- [ ] List item`
* Dates and times can be added using some parseable or ISO format: `2018/04/10@4:00am`

To make querying using this convention easier, a small script exists with help included. You can query tasks and notes as follows:

```bash
$ ./md.sh help              # displays help text
$ ./md.sh notes             # list all notes
$ ./md.sh notes !demo       # list all notes with the !demo tag
$ ./md.sh notes Shirt       # list all notes that mention "Shirt"
$ ./md.sh tasks             # list all open tasks
$ ./md.sh tasks done        # list all done tasks
$ ./md.sh tasks all !urgent # list all tasks with the !urgent tag
```

The conventions listed above should make it easy to build tooling to automatically index notes and tasks, however the query script doesn't care so much as it just uses grep to search for arbitrary text.
